petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMGetCoordinatesLocal

Gets a local vector with the coordinates associated with the DM.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetCoordinatesLocal(DM dm, Vec *c)

Collective on DM

### Input Parameter

dm -the DM

### Output Parameter

c -coordinate vector

### Note

This is a borrowed reference, so the user should NOT destroy this vector

Each process has the local and ghost coordinates

For DMDA, in two and three dimensions coordinates are interlaced (x_0,y_0,x_1,y_1,...) and (x_0,y_0,z_0,x_1,y_1,z_1...)

### Keywords

distributed array, get, corners, nodes, local indices, coordinates

### See Also

DMSetCoordinatesLocal(), DMGetCoordinates(), DMSetCoordinates(), DMGetCoordinateDM()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/dm/examples/tutorials/ex3.c.html
src/dm/examples/tutorials/ex13f90.F90.html
src/ksp/ksp/examples/tutorials/ex42.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/ksp/ksp/examples/tutorials/ex69.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html
src/snes/examples/tutorials/ex56.c.html
src/snes/examples/tutorials/ex77.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex34.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages